Bug 1501276 - RHVH 4.2 should include RHGS 3.4 Batch #1 packages
Summary: RHVH 4.2 should include RHGS 3.4 Batch #1 packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.7
: ---
Assignee: Yuval Turgeman
QA Contact: cshao
URL:
Whiteboard:
Depends On:
Blocks: 1616829 1618565
TreeView+ depends on / blocked
 
Reported: 2017-10-12 10:21 UTC by cshao
Modified: 2019-04-28 10:45 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 15:00:05 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 15:02:34 UTC

Description cshao 2017-10-12 10:21:35 UTC
Description of problem:
RHVH 4.2 should with RHGS 3.3 but not 3.2.

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.2-20171011.2
glusterfs-3.8.4-18.6.el7rhgs.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Install RHVH 4.2 - redhat-virtualization-host-4.2-20171011.2
2. Check glusterfs version
3.

Actual results:
RHVH 4.2 include RHGS 3.2.
# rpm -qa| grep glusterfs
glusterfs-client-xlators-3.8.4-18.6.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-18.6.el7rhgs.x86_64
glusterfs-server-3.8.4-18.6.el7rhgs.x86_64
glusterfs-events-3.8.4-18.6.el7rhgs.x86_64
glusterfs-3.8.4-18.6.el7rhgs.x86_64
glusterfs-fuse-3.8.4-18.6.el7rhgs.x86_64
glusterfs-libs-3.8.4-18.6.el7rhgs.x86_64
glusterfs-cli-3.8.4-18.6.el7rhgs.x86_64
glusterfs-api-3.8.4-18.6.el7rhgs.x86_64


Expected results:
RHVH 4.2 should with RHGS 3.3.

Additional info:

Comment 2 Sandro Bonazzola 2018-02-27 10:42:28 UTC
Sahina, what sohuld be shipped in RHV 4.2 release candidate?

Comment 3 Sahina Bose 2018-02-28 08:48:23 UTC
If we have an RHGS 3.4 RC candidate by then I think we can tag rhgs 3.4. Adding Atin to comment.

Comment 4 Atin Mukherjee 2018-03-05 04:56:07 UTC
(In reply to Sahina Bose from comment #3)
> If we have an RHGS 3.4 RC candidate by then I think we can tag rhgs 3.4.
> Adding Atin to comment.

I don't think we can do that as RHEV 4.2 ships before RHGS 3.4.0 looking at the product page schedules. We'd have to stick to RHGS 3.3.1 for RHEV 4.2.

Comment 5 Sandro Bonazzola 2018-04-04 10:00:37 UTC
Moving out of 4.2.3 since RHGS 3.4 won't be available yet.

Comment 9 cshao 2018-09-18 08:34:45 UTC
Test version:
redhat-virtualization-host-4.2-20180917.0.el7_6 

Test result:
# rpm -qa| grep glusterfs
glusterfs-rdma-3.12.2-18.el7rhgs.x86_64
glusterfs-3.12.2-18.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-18.el7rhgs.x86_64
glusterfs-server-3.12.2-18.el7rhgs.x86_64
glusterfs-libs-3.12.2-18.el7rhgs.x86_64
glusterfs-api-3.12.2-18.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-18.el7rhgs.x86_64
glusterfs-events-3.12.2-18.el7rhgs.x86_64
glusterfs-cli-3.12.2-18.el7rhgs.x86_64
glusterfs-fuse-3.12.2-18.el7rhgs.x86_64

RHVH already included RHGS 3.4 package, so the bug is fixed, I will verify this bug once change to ON_QA status.

Comment 10 cshao 2018-09-20 02:38:18 UTC
Verify this bug according #c9.

Comment 11 Sandro Bonazzola 2018-09-20 07:04:52 UTC
Moving back to Assigned: request is now to ship Batch #1 update.

Comment 15 cshao 2018-10-22 03:05:52 UTC
Test version:
rhvh-4.2.7.3-0.20181017.0+1
glusterfs-3.12.2-23.el7rhgs.x86_64

Test result:
# rpm -qa| grep glusterfs
glusterfs-api-3.12.2-23.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-23.el7rhgs.x86_64
glusterfs-libs-3.12.2-23.el7rhgs.x86_64
glusterfs-3.12.2-23.el7rhgs.x86_64
glusterfs-fuse-3.12.2-23.el7rhgs.x86_64
glusterfs-events-3.12.2-23.el7rhgs.x86_64
glusterfs-rdma-3.12.2-23.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-23.el7rhgs.x86_64
glusterfs-server-3.12.2-23.el7rhgs.x86_64
glusterfs-cli-3.12.2-23.el7rhgs.x86_64


RHVH already included RHGS 3.4 batch #1 package, so the bug is fixed, move the bug status to VERIFIED.

Comment 17 cshao 2018-10-29 08:56:09 UTC
Glusterfs errata has been updated from .24 to.25, so re-verify this bug again.

Test version:
redhat-virtualization-host-4.2-20181026.0.el7_6 
glusterfs-3.12.2-25.el7rhgs.x86_64

Test result:
rpm -qa| grep glusterfs
glusterfs-geo-replication-3.12.2-25.el7rhgs.x86_64
glusterfs-api-3.12.2-25.el7rhgs.x86_64
glusterfs-fuse-3.12.2-25.el7rhgs.x86_64
glusterfs-3.12.2-25.el7rhgs.x86_64
glusterfs-rdma-3.12.2-25.el7rhgs.x86_64
glusterfs-libs-3.12.2-25.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-25.el7rhgs.x86_64
glusterfs-server-3.12.2-25.el7rhgs.x86_64
glusterfs-events-3.12.2-25.el7rhgs.x86_64
glusterfs-cli-3.12.2-25.el7rhgs.x86_64

RHVH included correcy RHGS 3.4 package , so the bug is fixed.

Comment 19 errata-xmlrpc 2018-11-05 15:00:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.